Package jnr.constants.platform.freebsd

# Enum Errno

java.lang.Object
java.lang.Enum<Errno>
jnr.constants.platform.freebsd.Errno

All Implemented Interfaces:
  `Serializable`, `Comparable<Errno>`, `java.lang.constant.Constable`, `Constant`

public enum Errno extends Enum<Errno> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`E2BIG`
`EACCES`
`EADDRINUSE`
`EADDRNOTAVAIL`
`EAFNOSUPPORT`
`EAGAIN`
`EALREADY`
`EAUTH`
`EBADF`
`EBADMSG`
`EBADRPC`
`EBUSY`
`ECANCELED`
`ECAPMODE`
`ECHILD`
`ECONNABORTED`
`ECONNREFUSED`
`ECONNRESET`
`EDEADLK`
`EDESTADDRREQ`
`EDOM`
`EDOOFUS`
`EDQUOT`
`EEXIST`
`EFAULT`
`EFBIG`
`EFTYPE`
`EHOSTDOWN`
`EHOSTUNREACH`
`EIDRM`
`EILSEQ`
`EINPROGRESS`
`EINTR`
`EINVAL`
`EIO`
`EISCONN`
`EISDIR`
`ELOOP`
`EMFILE`
`EMLINK`
`EMSGSIZE`
`EMULTIHOP`
`ENAMETOOLONG`
`ENEEDAUTH`
`ENETDOWN`
`ENETRESET`
`ENETUNREACH`
`ENFILE`
`ENOATTR`
`ENOBUFS`
`ENODEV`
`ENOENT`
`ENOEXEC`
`ENOLCK`
`ENOLINK`
`ENOMEM`
`ENOMSG`
`ENOPROTOOPT`
`ENOSPC`
`ENOSYS`
`ENOTBLK`
`ENOTCAPABLE`
`ENOTCONN`
`ENOTDIR`
`ENOTEMPTY`
`ENOTRECOVERABLE`
`ENOTSOCK`
`ENOTSUP`
`ENOTTY`
`ENXIO`
`EOPNOTSUPP`
`EOVERFLOW`
`EOWNERDEAD`
`EPERM`
`EPFNOSUPPORT`
`EPIPE`
`EPROCLIM`
`EPROCUNAVAIL`
`EPROGMISMATCH`
`EPROGUNAVAIL`
`EPROTO`
`EPROTONOSUPPORT`
`EPROTOTYPE`
`ERANGE`
`EREMOTE`
`EROFS`
`ERPCMISMATCH`
`ESHUTDOWN`
`ESOCKTNOSUPPORT`
`ESPIPE`
`ESRCH`
`ESTALE`
`ETIMEDOUT`
`ETOOMANYREFS`
`ETXTBSY`
`EUSERS`
`EWOULDBLOCK`
`EXDEV`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static Errno`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Errno[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### EPERM

public static final Errno EPERM

### ENOENT

public static final Errno ENOENT

### ESRCH

public static final Errno ESRCH

### EINTR

public static final Errno EINTR

### EIO

public static final Errno EIO

### ENXIO

public static final Errno ENXIO

### E2BIG

public static final Errno E2BIG

### ENOEXEC

public static final Errno ENOEXEC

### EBADF

public static final Errno EBADF

### ECHILD

public static final Errno ECHILD

### EDEADLK

public static final Errno EDEADLK

### ENOMEM

public static final Errno ENOMEM

### EACCES

public static final Errno EACCES

### EFAULT

public static final Errno EFAULT

### ENOTBLK

public static final Errno ENOTBLK

### EBUSY

public static final Errno EBUSY

### EEXIST

public static final Errno EEXIST

### EXDEV

public static final Errno EXDEV

### ENODEV

public static final Errno ENODEV

### ENOTDIR

public static final Errno ENOTDIR

### EISDIR

public static final Errno EISDIR

### EINVAL

public static final Errno EINVAL

### ENFILE

public static final Errno ENFILE

### EMFILE

public static final Errno EMFILE

### ENOTTY

public static final Errno ENOTTY

### ETXTBSY

public static final Errno ETXTBSY

### EFBIG

public static final Errno EFBIG

### ENOSPC

public static final Errno ENOSPC

### ESPIPE

public static final Errno ESPIPE

### EROFS

public static final Errno EROFS

### EMLINK

public static final Errno EMLINK

### EPIPE

public static final Errno EPIPE

### EDOM

public static final Errno EDOM

### ERANGE

public static final Errno ERANGE

### EWOULDBLOCK

public static final Errno EWOULDBLOCK

### EAGAIN

public static final Errno EAGAIN

### EINPROGRESS

public static final Errno EINPROGRESS

### EALREADY

public static final Errno EALREADY

### ENOTSOCK

public static final Errno ENOTSOCK

### EDESTADDRREQ

public static final Errno EDESTADDRREQ

### EMSGSIZE

public static final Errno EMSGSIZE

### EPROTOTYPE

public static final Errno EPROTOTYPE

### ENOPROTOOPT

public static final Errno ENOPROTOOPT

### EPROTONOSUPPORT

public static final Errno EPROTONOSUPPORT

### ESOCKTNOSUPPORT

public static final Errno ESOCKTNOSUPPORT

### EOPNOTSUPP

public static final Errno EOPNOTSUPP

### EPFNOSUPPORT

public static final Errno EPFNOSUPPORT

### EAFNOSUPPORT

public static final Errno EAFNOSUPPORT

### EADDRINUSE

public static final Errno EADDRINUSE

### EADDRNOTAVAIL

public static final Errno EADDRNOTAVAIL

### ENETDOWN

public static final Errno ENETDOWN

### ENETUNREACH

public static final Errno ENETUNREACH

### ENETRESET

public static final Errno ENETRESET

### ECONNABORTED

public static final Errno ECONNABORTED

### ECONNRESET

public static final Errno ECONNRESET

### ENOBUFS

public static final Errno ENOBUFS

### EISCONN

public static final Errno EISCONN

### ENOTCONN

public static final Errno ENOTCONN

### ESHUTDOWN

public static final Errno ESHUTDOWN

### ETOOMANYREFS

public static final Errno ETOOMANYREFS

### ETIMEDOUT

public static final Errno ETIMEDOUT

### ECONNREFUSED

public static final Errno ECONNREFUSED

### ELOOP

public static final Errno ELOOP

### ENAMETOOLONG

public static final Errno ENAMETOOLONG

### EHOSTDOWN

public static final Errno EHOSTDOWN

### EHOSTUNREACH

public static final Errno EHOSTUNREACH

### ENOTEMPTY

public static final Errno ENOTEMPTY

### EUSERS

public static final Errno EUSERS

### EDQUOT

public static final Errno EDQUOT

### ESTALE

public static final Errno ESTALE

### EREMOTE

public static final Errno EREMOTE

### ENOLCK

public static final Errno ENOLCK

### ENOSYS

public static final Errno ENOSYS

### EOVERFLOW

public static final Errno EOVERFLOW

### EIDRM

public static final Errno EIDRM

### ENOMSG

public static final Errno ENOMSG

### EILSEQ

public static final Errno EILSEQ

### EBADMSG

public static final Errno EBADMSG

### EMULTIHOP

public static final Errno EMULTIHOP

### ENOLINK

public static final Errno ENOLINK

### EPROTO

public static final Errno EPROTO

### ECANCELED

public static final Errno ECANCELED

### ENOTRECOVERABLE

public static final Errno ENOTRECOVERABLE

### EOWNERDEAD

public static final Errno EOWNERDEAD

### EAUTH

public static final Errno EAUTH

### EBADRPC

public static final Errno EBADRPC

### EDOOFUS

public static final Errno EDOOFUS

### EFTYPE

public static final Errno EFTYPE

### ENEEDAUTH

public static final Errno ENEEDAUTH

### ENOATTR

public static final Errno ENOATTR

### ENOTSUP

public static final Errno ENOTSUP

### EPROCLIM

public static final Errno EPROCLIM

### EPROCUNAVAIL

public static final Errno EPROCUNAVAIL

### EPROGMISMATCH

public static final Errno EPROGMISMATCH

### EPROGUNAVAIL

public static final Errno EPROGUNAVAIL

### ERPCMISMATCH

public static final Errno ERPCMISMATCH

### ECAPMODE

public static final Errno ECAPMODE

### ENOTCAPABLE

public static final Errno ENOTCAPABLE

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static Errno[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Errno valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<Errno>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`